Bug 182448 - WebCore code generators should include JavaScriptCore headers directly
Summary: WebCore code generators should include JavaScriptCore headers directly
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Don Olmstead
URL:
Keywords: InRadar
Depends on:
Blocks: 182347
  Show dependency treegraph
 
Reported: 2018-02-02 12:58 PST by Don Olmstead
Modified: 2018-02-05 11:11 PST (History)
13 users (show)

See Also:


Attachments
Patch (64.99 KB, patch)
2018-02-02 13:02 PST, Don Olmstead
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Don Olmstead 2018-02-02 12:58:26 PST
Currently the WebCore generators target WebCore/ForwardingHeaders rather than JavaScriptCore headers directly.
Comment 1 Don Olmstead 2018-02-02 13:02:43 PST
Created attachment 332996 [details]
Patch

Modified all includes to not target ForwardingHeaders. Tests were rebaselined.
Comment 2 Saam Barati 2018-02-02 14:54:50 PST
Comment on attachment 332996 [details]
Patch

Seems reasonable to me, but I'll leave the r+/comments for someone more experienced in the bindings generator
Comment 3 WebKit Commit Bot 2018-02-02 16:57:07 PST
Comment on attachment 332996 [details]
Patch

Clearing flags on attachment: 332996

Committed r228038: <https://trac.webkit.org/changeset/228038>
Comment 4 WebKit Commit Bot 2018-02-02 16:57:09 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2018-02-02 16:58:32 PST
<rdar://problem/37176264>
Comment 6 Joseph Pecoraro 2018-02-04 23:46:47 PST
It looks like this landed but it didn't actually remove the ForwardingHeaders directory. Can that directory be removed? =)
Comment 7 Joseph Pecoraro 2018-02-05 11:11:33 PST
(In reply to Joseph Pecoraro from comment #6)
> It looks like this landed but it didn't actually remove the
> ForwardingHeaders directory. Can that directory be removed? =)

Oop, I thought this was the parent bug (because thats the link I clicked in my email)! Carry on!